WebSphereEJBContainer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereEJBContainer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereEJBContainer

All Superinterfaces:
  EJBContainer, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareContainer

    public interface WebSphereEJBContainer

extends EJBContainer

A WebSphere EJB Container.

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.SoftwareContainer
`RUNNING, STOPPED`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getDefaultDatasourceJNDIName()`
`long` | `getEJBCacheCleanupIntervalMsecs()`
`long` | `getEJBCacheSize()`
`long` | `getInactivePoolCleanupIntervalMsecs()`
`java.lang.String` | `getPassivationDirectory()`
`boolean` | `hasDefaultDatasourceJNDIName()`
`boolean` | `hasEJBCacheCleanupIntervalMsecs()`
`boolean` | `hasEJBCacheSize()`
`boolean` | `hasInactivePoolCleanupIntervalMsecs()`
`boolean` | `hasPassivationDirectory()`
`void` | `setDefaultDatasourceJNDIName(java.lang.String defaultDatasourceJNDIName)`
`void` | `setEJBCacheCleanupIntervalMsecs(long cleanupInterval)`
`void` | `setEJBCacheSize(long cacheSize)`
`void` | `setInactivePoolCleanupIntervalMsecs(long inactivePoolCleanupInterval)`
`void` | `setPassivationDirectory(java.lang.String passivationDirectory)`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareContainer
`getBindAddresses, getName, getParent, getStatus, hasBindAddresses, hasName, hasParent, hasStatus, setBindAddresses, setName, setParent, setStatus`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getPassivationDirectory

    java.lang.String getPassivationDirectory()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPassivationDirectory

    void setPassivationDirectory(java.lang.String passivationDirectory)

### hasPassivationDirectory

    boolean hasPassivationDirectory()

### getInactivePoolCleanupIntervalMsecs

    long getInactivePoolCleanupIntervalMsecs()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setInactivePoolCleanupIntervalMsecs

    void setInactivePoolCleanupIntervalMsecs(long inactivePoolCleanupInterval)

### hasInactivePoolCleanupIntervalMsecs

    boolean hasInactivePoolCleanupIntervalMsecs()

### getDefaultDatasourceJNDIName

    java.lang.String getDefaultDatasourceJNDIName()
                                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultDatasourceJNDIName

    void setDefaultDatasourceJNDIName(java.lang.String defaultDatasourceJNDIName)

### hasDefaultDatasourceJNDIName

    boolean hasDefaultDatasourceJNDIName()

### getEJBCacheCleanupIntervalMsecs

    long getEJBCacheCleanupIntervalMsecs()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEJBCacheCleanupIntervalMsecs

    void setEJBCacheCleanupIntervalMsecs(long cleanupInterval)

### hasEJBCacheCleanupIntervalMsecs

    boolean hasEJBCacheCleanupIntervalMsecs()

### getEJBCacheSize

    long getEJBCacheSize()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEJBCacheSize

    void setEJBCacheSize(long cacheSize)

### hasEJBCacheSize

    boolean hasEJBCacheSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD